Skip to content
REST API

Delete a note folder

DELETE
/note-folders/{folderId}

Deletes the folder and unfiles its notes rather than deleting them: their content, files and embeddings are untouched.

Required scopes: notes:delete

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

folderId*string

Note folder id, scoped to the key's user.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/note-folders/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",    "deleted": true  }}